Skip to content
Start here

Edit User

client.user.edit(UserEditParams { country, first_name, last_name, 2 more } body, RequestOptionsoptions?): UserEditResponse { id, betas, country, 11 more }
PATCH/user

Edit part of your user details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details Write
ParametersExpand Collapse
body: UserEditParams { country, first_name, last_name, 2 more }
country?: string | null

The country in which the user lives.

maxLength30
first_name?: string | null

User’s first name

maxLength60
last_name?: string | null

User’s last name

maxLength60
telephone?: string | null

User’s telephone number

maxLength20
zipcode?: string | null

The zipcode or postal code where the user lives.

maxLength20
ReturnsExpand Collapse
UserEditResponse { id, betas, country, 11 more }
id?: string

Identifier of the user.

betas?: Array<string>

Lists the betas that the user is participating in.

country?: string | null

The country in which the user lives.

maxLength30
first_name?: string | null

User’s first name

maxLength60
has_business_zones?: boolean

Indicates whether user has any business zones

has_enterprise_zones?: boolean

Indicates whether user has any enterprise zones

has_pro_zones?: boolean

Indicates whether user has any pro zones

last_name?: string | null

User’s last name

maxLength60
organizations?: Array<Organization { id, name, permissions, 2 more } >
id?: string

Identifier

maxLength32
minLength32
name?: string

Organization name.

maxLength100
permissions?: Array<Permission>

Access permissions for this User.

roles?: Array<string>

List of roles that a user has within an organization.

status?: Status

Whether the user is a member of the organization or has an invitation pending.

One of the following:
"member"
"invited"
suspended?: boolean

Indicates whether user has been suspended

telephone?: string | null

User’s telephone number

maxLength20
two_factor_authentication_enabled?: boolean

Indicates whether two-factor authentication is enabled for the user account. Does not apply to API authentication.

two_factor_authentication_locked?: boolean

Indicates whether two-factor authentication is required by one of the accounts that the user is a member of.

zipcode?: string | null

The zipcode or postal code where the user lives.

maxLength20

Edit User

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.user.edit();

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "betas": [
      "zone_level_access_beta"
    ],
    "country": "US",
    "first_name": "John",
    "has_business_zones": true,
    "has_enterprise_zones": true,
    "has_pro_zones": true,
    "last_name": "Appleseed",
    "organizations": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "name": "Cloudflare, Inc.",
        "permissions": [
          "#zones:read"
        ],
        "roles": [
          "All Privileges - Super Administrator"
        ],
        "status": "member"
      }
    ],
    "suspended": true,
    "telephone": "+1 123-123-1234",
    "two_factor_authentication_enabled": true,
    "two_factor_authentication_locked": true,
    "zipcode": "12345"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "betas": [
      "zone_level_access_beta"
    ],
    "country": "US",
    "first_name": "John",
    "has_business_zones": true,
    "has_enterprise_zones": true,
    "has_pro_zones": true,
    "last_name": "Appleseed",
    "organizations": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "name": "Cloudflare, Inc.",
        "permissions": [
          "#zones:read"
        ],
        "roles": [
          "All Privileges - Super Administrator"
        ],
        "status": "member"
      }
    ],
    "suspended": true,
    "telephone": "+1 123-123-1234",
    "two_factor_authentication_enabled": true,
    "two_factor_authentication_locked": true,
    "zipcode": "12345"
  }
}